<?php
/**
 * The template for displaying al pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage House State Pro
 * @since House State Pro 1.0.0
 */

get_header(); ?>
	<?php
		// Call home if Homepage setting is set to latest posts.
		if ( house_state_pro_is_latest_posts() ) {

			get_template_part( 'template-parts/content', 'home' );

		} elseif ( house_state_pro_is_frontpage() ) {
			
			$options = house_state_pro_get_theme_options();
	
			$sorted = explode( ',' , house_state_pro_get_homepage_sections() );


			foreach ( $sorted as $section ) {
				add_action( 'house_state_pro_primary_content', 'house_state_pro_add_'. $section .'_section' );
			}
			do_action( 'house_state_pro_primary_content' );

			if ( $options['enable_frontpage_content'] == true ) : ?>
			<div id="inner-content-wrapper" class="wrapper page-section no-padding-bottom">
		        <main id="main" class="site-main" role="main">
					<?php
					while ( have_posts() ) : the_post();

						get_template_part( 'template-parts/content', 'page' );

						// If comments are open or we have at least one comment, load up the comment template.
						if ( comments_open() || get_comments_number() ) :
							comments_template();
						endif;

					endwhile; // End of the loop.
					?>
				</main><!-- #main -->
		
			</div><!-- .page-section -->
			<?php endif;
		}
get_footer();