<?php
/**
 * House State Pro: Color Patterns
 *
 * @package WordPress
 * @subpackage House State Pro
 * @since 1.0
 */

/**
 * Generate the CSS for the current custom color scheme.
 */
function house_state_pro_custom_colors_css() {
  	$options= house_state_pro_get_theme_options();

	$color_value = $options['colorscheme_hue'];
	
	$css = '
	/*--------------------------------------------------------------
	# Background Color
	--------------------------------------------------------------*/
	.backtotop,
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	.main-navigation form.search-form button.search-submit,
	.menu-toggle:hover,
	.menu-toggle:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	#secondary .jetpack_subscription_widget input[type="submit"]:hover,
	#secondary .jetpack_subscription_widget input[type="submit"]:focus,
	.author-name:after,
	.reply a:hover,
	.reply a:focus,
	.btn:hover,
	.btn:focus,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	span.discount-offer,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus {
	    background-color: ' . esc_attr( $color_value ) . ';
	}

	/*--------------------------------------------------------------
	# Text Color
	--------------------------------------------------------------*/
	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	a,
	.site-title a:hover,
	.site-title a:focus,
	.contact-info a:hover,
	.contact-info a:focus,
	.main-navigation ul#primary-menu li.current-menu-item > a,
	.main-navigation ul#primary-menu li:hover > a,
	.main-navigation ul#primary-menu li:focus > a,
	.main-navigation a:hover,
	.main-navigation a:focus,
	.main-navigation ul.nav-menu > li > a:hover,
	.main-navigation ul.nav-menu > li > a:focus,
	.post-navigation a, 
	.posts-navigation a,
	.navigation.post-navigation a:hover,
	.navigation.posts-navigation a:hover,
	.navigation.post-navigation a:focus,
	.navigation.posts-navigation a:focus,
	.widget-title,
	#secondary .cat-links a,
	#secondary a:hover,
	#secondary a:focus,
	.page-header small,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.reply a,
	.section-title,
	.section-title a:hover,
	.section-title a:focus,
	.entry-title a:hover,
	.entry-title a:focus,
	.section-subtitle,
	.btn,
	.featured-content-wrapper .btn:hover,
	.featured-content-wrapper .btn:focus,
	#counter-section .counter-icon i,
	.product_meta a:hover,
	.product_meta a:focus,
	.woocommerce div.product p.price, 
	.woocommerce div.product span.price,
	.woocommerce ul.products li.product .price,
	.woocommerce ul.products li.product .price,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	#trending-products .entry-title a:hover,
	#trending-products .entry-title a:focus,
	#trending-products .price,
	.archive-blog-wrapper .read-more a,
	ul.post-categories li a,
	#colophon a:hover,
	#colophon a:focus,
	#colophon .site-info a {
		color: ' . esc_attr( $color_value ) . ';
	}

	.loader-container svg,
	.contact-info svg,
	.main-navigation ul#primary-menu li:hover > svg,
	.main-navigation ul#primary-menu li:focus > svg,
	.main-navigation li.menu-item-has-children:hover > a > svg,
	.main-navigation li.menu-item-has-children > a:hover > svg,
	.main-navigation li.menu-item-has-children > a:focus > svg,
	.main-navigation ul#primary-menu > li.current-menu-item > a > svg,
	.main-navigation ul.nav-menu > li > a.search:hover svg.icon-search,
	.main-navigation ul.nav-menu > li > a.search:focus svg.icon-search,
	.main-navigation li.search-menu a:hover svg,
	.main-navigation li.search-menu a:focus svg,
	.navigation.post-navigation a:hover svg,
	.navigation.posts-navigation a:hover svg,
	.navigation.post-navigation a:focus svg,
	.navigation.posts-navigation a:focus svg,
	.widget_search form.search-form button.search-submit:hover svg,
	.widget_search form.search-form button.search-submit:focus svg,
	.single-wrapper span.posted-on svg,
	.single-wrapper span.cat-links svg,
	.slick-prev:hover svg,
	.slick-next:hover svg,
	.slick-prev:focus svg,
	.slick-next:focus svg {
		fill: ' . esc_attr( $color_value ) . ';
	}

	/*--------------------------------------------------------------
	# Border Color
	--------------------------------------------------------------*/

	button,
	input[type="button"],
	input[type="reset"],
	input[type="submit"],
	button:hover,
	input[type="button"]:hover,
	input[type="reset"]:hover,
	input[type="submit"]:hover,
	button:focus,
	input[type="button"]:focus,
	input[type="reset"]:focus,
	input[type="submit"]:focus,
	button:active,
	input[type="button"]:active,
	input[type="reset"]:active,
	input[type="submit"]:active,
	.menu-toggle:hover,
	.menu-toggle:focus,
	.pagination .page-numbers.current,
	.pagination .page-numbers:hover,
	.pagination .page-numbers:focus,
	.single-wrapper span.tags-links a:hover,
	.single-wrapper span.tags-links a:focus,
	.reply a,
	.reply a:hover,
	.reply a:focus,
	.btn,
	.btn:hover,
	.btn:focus,
	.woocommerce #respond input#submit, 
	.woocommerce a.button, 
	.woocommerce button.button, 
	.woocommerce input.button,
	.woocommerce #respond input#submit:hover, 
	.woocommerce a.button:hover, 
	.woocommerce button.button:hover, 
	.woocommerce input.button:hover,
	.archive-blog-wrapper .post-item-wrapper:after,
	.single-wrapper .entry-meta > span.tags-links a:hover,
	.single-wrapper .entry-meta > span.tags-links a:focus {
		border-color: ' . esc_attr( $color_value ) . ';
	}

	.footer-widgets-area + .site-info .wrapper {
		border-top-color: ' . esc_attr( $color_value ) . ';
	}

	.separator svg path {
	    stroke: ' . esc_attr( $color_value ) . ';
	}

	/*--------------------------------------------------------------
	# Responsive Color
	--------------------------------------------------------------*/
	@media screen and (min-width: 1024px) {
		.absolute-header .main-navigation ul.nav-menu > li:hover > a svg,
		.absolute-header .main-navigation ul.nav-menu > li.focus > a svg,
		.fixed-header .main-navigation ul.nav-menu > li:hover > a svg,
		.fixed-header .main-navigation ul.nav-menu > li.focus > a svg {
			fill: ' . esc_attr( $color_value ) . ';
		}
	}


	/*--------------------------------------------------------------
	# Preloader
	--------------------------------------------------------------*/

	@keyframes preloader {
    	0% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    25% {height:30px;transform:translateY(15px);background: ' . esc_attr( $color_value ) . ';}
	    50% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	    100% {height:5px;transform:translateY(0px);background: ' . esc_attr( $color_value ) . ';}
	}

	@-webkit-keyframes colorchange {
		0%   {border-color: ' . esc_attr( $color_value ) . ';}
		25%  {border-color: ' . esc_attr( $color_value ) . ';}
		50%  {border-color: ' . esc_attr( $color_value ) . ';}
		75%  {border-color: ' . esc_attr( $color_value ) . ';}
		100% {border-color: ' . esc_attr( $color_value ) . ';}
	}

	@keyframes colorchange {
		0%   {border-color: ' . esc_attr( $color_value ) . ';}
		25%  {border-color: ' . esc_attr( $color_value ) . ';}
		50%  {border-color: ' . esc_attr( $color_value ) . ';}
		75%  {border-color: ' . esc_attr( $color_value ) . ';}
		100% {border-color: ' . esc_attr( $color_value ) . ';}
	}';

	/**
	 * Filters House State Pro custom colors CSS.
	 *
	 * @since House State Pro 1.0.0
	 *
	 * @param string $css        Base theme colors CSS.
	 */
	return apply_filters( 'house_state_pro_custom_colors_css', $css );
}
