<?php
/**
 * Menu options
 *
 * @package Theme Palace
 * @subpackage House State Pro
 * @since House State Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'house_state_pro_menu', array(
	'title'             => esc_html__('Header Menu','house-state-pro'),
	'description'       => esc_html__( 'Header Menu options.', 'house-state-pro' ),
	'panel'             => 'nav_menus',
) );

// Menu sticky setting and control.
$wp_customize->add_setting( 'house_state_pro_theme_options[menu_sticky]', array(
	'sanitize_callback' => 'house_state_pro_sanitize_switch_control',
	'default'           => $options['menu_sticky'],
) );

$wp_customize->add_control( new House_State_Pro_Switch_Control( $wp_customize, 'house_state_pro_theme_options[menu_sticky]', array(
	'label'             => esc_html__( 'Make Menu Sticky', 'house-state-pro' ),
	'section'           => 'house_state_pro_menu',
	'on_off_label' 		=> house_state_pro_switch_options(),
) ) );


$wp_customize->add_setting( 'house_state_pro_theme_options[header_ads]', array(
		'sanitize_callback' => 'house_state_pro_sanitize_image',
		'active_callback'	=> 'house_state_pro_is_magazine_layout'
	) );

$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'house_state_pro_theme_options[header_ads]',
			array(
			'label'       		=> esc_html__( 'Background Image', 'house-state-pro' ),
			'section'     		=> 'house_state_pro_menu',
	) ) );

$wp_customize->add_setting('house_state_pro_theme_options[header_ads_url]',
    array(
        'sanitize_callback' => 'esc_url_raw',
        'active_callback'	=> 'house_state_pro_is_magazine_layout'
	    )
	);

$wp_customize->add_control('house_state_pro_theme_options[header_ads_url]',
	    array(
	        'section'			=> 'house_state_pro_menu',
	        'label'				=> esc_html__( 'Ads Url:', 'house-state-pro' ),
	        'type'          	=>'url',
	    )
	);



