<?php
/**
 * Section Sortable options
 *
 * @package Theme Palace
 * @subpackage House State Pro
 * @since House State Pro 1.0.0
 */

// Add sidebar section
$wp_customize->add_section( 'house_state_pro_sortable', array(
	'title'               => esc_html__('Homepage Sortable','house-state-pro'),
	'description'         => esc_html__( 'Homepage Sortable options.', 'house-state-pro' ),
	'panel'               => 'house_state_pro_theme_options_panel',
) );

foreach ( array( 'all', 'default', 'second', 'third', 'magazine' ) as $list) {
	// Site layout setting and control.
	$wp_customize->add_setting( 'house_state_pro_theme_options['.$list.'_sortable]', array(
		'default'			  => $options[$list.'_sortable'],
		'sanitize_callback'   => 'house_state_pro_sanitize_sortable',
	) );

	$wp_customize->add_control( new house_state_Pro_Customize_Sortable_Control ( $wp_customize, 'house_state_pro_theme_options['.$list.'_sortable]', array(
		'label'               => esc_html__( 'Sort Homepage', 'house-state-pro' ),
		'description'         => esc_html__( 'Drag and Drop to sort the sections according to your preference.', 'house-state-pro' ),
		'section'             => 'house_state_pro_sortable',
		'type'                => 'sortable',
		'choices'			  => house_state_pro_sortable_sections(),
		'active_callback'	  => 'house_state_pro_is_'.$list.'_layout'

	) ) );
}
