<?php

$options = house_state_pro_get_theme_options();

if ( $options['most_viewed_section_enable'] == false) {
   return;
}

// Content type.
$most_viewed_content_type    = $options['most_viewed_content_type'];
$most_viewed_count           = ! empty( $options['most_viewed_count'] ) ? $options['most_viewed_count'] : 2;

$content = array();
switch ( $most_viewed_content_type ) {
    
    case 'page':
        $page_ids = array();

        for ( $i = 1; $i <= $most_viewed_count; $i++ ) {
            if ( ! empty( $options['most_viewed_content_page_' . $i] ) )
                $page_ids[] = $options['most_viewed_content_page_' . $i];
        }

        $args = array(
            'post_type'         => 'page',
            'post__in'          => ( array ) $page_ids,
            'posts_per_page'    => absint( $most_viewed_count ),
            'orderby'           => 'post__in',
            );                    
    break;

    case 'post':
        $post_ids = array();

        for ( $i = 1; $i <= $most_viewed_count; $i++ ) {
            if ( ! empty( $options['most_viewed_content_post_' . $i] ) )
                $post_ids[] = $options['most_viewed_content_post_' . $i];
        }
        
        $args = array(
            'post_type'             => 'post',
            'post__in'              => ( array ) $post_ids,
            'posts_per_page'        => absint( $most_viewed_count ),
            'orderby'               => 'post__in',
            'ignore_sticky_posts'   => true,
            );                    
    break;

    case 'category':
        $cat_id = ! empty( $options['most_viewed_category'] ) ? $options['most_viewed_category'] : '';
        $args = array(
            'post_type'             => 'post',
            'posts_per_page'        => absint( $most_viewed_count ),
            'cat'                   => absint( $cat_id ),
            'ignore_sticky_posts'   => true,
            );                    
    break;

    default:
    break;
}

// Run The Loop.
$query = new WP_Query( $args );
if ( $query->have_posts() ) : 
    $i = 1;
    while ( $query->have_posts() ) : $query->the_post();
        $page_post['id']        = get_the_id();
        $page_post['title']     = get_the_title();
        $page_post['url']       = get_the_permalink();
        $page_post['author']    = house_state_pro_author();
        $page_post['excerpt']   = house_state_pro_trim_content($options['most_viewed_excerpt']);
        $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'full' ) : get_template_directory_uri().'/assets/uploads/no-featured-image-600x450.jpg';

        // Push to the main array.
        array_push( $content, $page_post );
    endwhile;
    $i++;
endif;
wp_reset_postdata();


?>
<div id="house_state_pro_most_viewed_section">
     <div id="magazine-featured-posts">
        <div class="section-header">
            <?php if ( !empty( $options['most_viewed_section_title'] ) ): ?>
                <h2 class="section-title"><?php echo esc_html( $options['most_viewed_section_title'] ) ; ?></h2>
            <?php endif ?>
        </div><!-- .section-header -->

        <div class="col-2 clear">
            <?php foreach ($content as $data ): ?>
                <article>
                    <div class="featured-post-item">
                        <div class="featured-image">
                            <img src="<?php echo esc_url( $data['image'] ) ; ?>">

                            <?php house_state_pro_posted_on( $data['id'] ); ?>
                        </div><!-- .featured-image -->

                        <div class="entry-container">
                            <?php  the_category( '', '', $data['id'] ) ?>

                            <header class="entry-header">
                                <h2 class="entry-title"><a href="<?php echo esc_url( $data['url'] ) ; ?>"><?php echo esc_html( $data['title'] ) ; ?></a></h2>
                            </header>   

                            <div class="entry-content">
                                <p><?php echo esc_html( $data['excerpt'] ); ?></p>
                            </div><!-- .entry-content -->
                        </div><!-- .entry-container -->
                    </div><!-- .featured-post-item -->
                </article>
            <?php endforeach ?>
            
        </div><!-- .col-3 -->
    </div><!-- #magazine-three-column-posts -->

</div>

